import { Button } from "@mui/material";


interface Props {
    color?: string;
    children?: string;
}

export default function EmailTextButton({ color = "white", children }: Props) {

    return (
        <Button
            variant="text"
            sx={{
                color,
                textTransform: "none",
                textDecoration: "underline",
                textUnderlineOffset: "7px",
                fontSize: "16px",
                lineHeight: "20px",
                gap: "12px",
                py: 0,
            }}
        >
            <svg width="27" height="27" viewBox="0 0 27 27" fill="none" xmlns="http://www.w3.org/2000/svg">
                <rect x="2.25" y="4.5" width="22.5" height="18" rx="5.625" stroke={color} strokeWidth="1.5" />
                <path d="M6.75 10.125L12.15 14.175C12.95 14.775 14.05 14.775 14.85 14.175L20.25 10.125" stroke={color} strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
            </svg>
            {children}
        </Button>
    );
}