import Box from "@mui/material/Box";
import { SxProps, Theme, Typography } from "@mui/material";
import * as React from "react";

interface Props {
    icon: string,
    title: string,
    text?: string,
    sxbox?: SxProps<Theme>,
    sxtext?: SxProps<Theme>,
    sxtitle?: SxProps<Theme>,
    colortitle?: string,
    colortext?: string
}

export default function MiniIconCard (props: Props) {
    return (
        <>
            <Box
                sx={{
                    padding: '20px 20px',
                    background: '#ffffff',
                    minHeight: '147px',
                    maxWidth: '360px',
                    borderRadius: '8px',
                    ...props.sxbox
                }}
            >
                <img src={props.icon}/>
                <Typography color={props.colortitle}
                    sx={{
                        fontSize: '24px',
                        fontWeight: 500,
                        lineHeight: '28px',
                        ...props.sxtitle
                    }}
                >
                    {props.title}</Typography>
                <Typography color={props.colortext}
                            sx={{...props.sxtext}}
                >
                    {props.text}
                    {/*{props.text !== undefined ? <Typography/>:null}*/}
                </Typography>
            </Box>
        </>
    );
}